/**
  Theme Name: Victor Moraes 
  Author: Victor Moraes
*/

/* === FONTS === */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&family=Raleway&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merienda&display=swap');

/* === GENERAL === */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  overflow-x: hidden;
}

img {
  max-width: 100%;
  height: auto;
}

i,
span.material-icons {
  transition: .5s;
}

i:hover,
span.material-icons:hover,
a:hover {
  cursor: pointer;
  color: #16CEAD;
}


h1,
h3,
h2 {
  font-family: 'Montserrat',
    sans-serif;
  text-align: center;
  font-weight: 700;
}

h1 {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

h3,
h2 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

p {
  font-family: 'Raleway', sans-serif;
  padding: 0 .5rem;
  text-align: justify;
}

a {
  color: white;
  display: block;
  text-decoration: none;
  font-family: 'Montserrat', sans-serif;
  transition: .5s;
}

ul {
  list-style-type: none;
}

nav ul li a:hover {
  color: #16CEAD;
}

.second_color {
  color: #16CEAD !important;
}

.sub_text_color {
  color: #EAEAEA;
}

.more-link {
  display: none !important;
}

/* === HEADER === */

header.main_header {
  width: 100vw;
  height: 100vh;
  background: url('https://victormoraes.me/wp-content/uploads/2020/04/header_background-scaled.jpeg')no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  position: relative;
}

header::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

header.main_header h1,
header.main_header p,
header.main_header a {
  color: white;
  position: relative;
  z-index: 2;
}

header.main_header p a {
  display: inline;
}

header.main_header p {
  padding: 0 .5rem;
  text-align: justify;
}

/* === HEADER NAVBAR === */

nav.main_nav {
  display: flex;
  justify-content: space-between;
  padding-top: 2rem;
  align-items: center;
  position: relative;
  z-index: 1;
  width: 80%;
  margin: auto;
}

.social_icon {
  color: white;
  font-size: 1.5rem;
}

nav .logo {
  width: 8vw;
}

@media only screen and (min-width: 480px) {

  .social_icon {
    font-size: 2rem;
  }

  nav .logo {
    width: 6.5vw;
  }
}

@media only screen and (min-width: 780px) {
  nav .logo {
    width: 4.5vw;
  }

  header h1 {
    font-size: 3rem;
  }

  header p {
    width: 70%;
    margin: auto;
    padding: 0;
  }
}

@media only screen and (min-width: 1200px) {
  nav .logo {
    width: 3.5vw;
  }

  header h1 {
    margin-top: 4rem;
  }

  header p {
    width: 60%;
    font-size: 1.25rem;
  }
}

/* === BLOG ===*/

.cards_container {
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  max-width: 95%;
  margin: auto;
  margin-bottom: 2rem;
}

.card {
  margin-top: 4rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
}

.card_title {
  text-align: left;
  padding-left: 1rem;
}

.card_body {
  width: 90%;
  margin: auto;
}

.card_body p {
  color: #4D4D4D;
}

.card_divisor {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
  width: 93%;
}

.card_divisor small {
  margin-left: 1rem;
  font-family: 'Raleway', sans-serif;
  color: #4D4D4D;
}

.line {
  height: 2px;
  background-color: #16CEAD;
  display: block;
  flex-grow: 2;
}

.card_footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 1rem;
  padding-bottom: 1rem;
}

.card_author {
  display: flex;
  align-items: center;
  margin-left: 1rem;
  font-weight: 300;
  font-family: 'Montserrat', sans-serif;
}

.card_author span {
  margin-left: .5rem;
}

.card_author img {
  border-radius: 50%;
}

.card_footer a {
  color: black;
  font-weight: 400;
  margin-right: 2rem;
  transition: .5s;
}

.card_footer a:hover {
  color: #16CEAD
}

@media only screen and (min-width: 780px) {
  .card {
    width: 48%;
  }
}


@media only screen and (min-width: 1200px) {
  .card {
    width: 27%;
  }
}

/* === SINGLE === */

header.single_header {
  position: relative;
  width: 100vw;
  height: 100vh;
}

header.single_header::after {
  z-index: -1;
}

header .background_image {
  max-width: initial;
  position: fixed;
  top: 0;
  left: 50%;
  height: 100%;
  transform: translateX(-50%);
  z-index: -1;
}

header.single_header h1 {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  color: white;
}

.single_header .single_nav {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  width: 90%;
  margin: auto;
  padding-top: 1rem;
}

.single_header .post_info {
  position: absolute;
  z-index: 2;
  bottom: 1%;
  left: 2%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 96%;
}

.post_info .post_author {
  display: flex;
  align-items: center;
}

.single_header .post_info img {
  border-radius: 50%;
}

.single_header .post_info small {
  font-family: 'Montserrat', sans-serif;
  color: rgba(255, 255, 255, 0.5);
  margin-left: 1rem;
}

.single_header .post_info small:last-child {
  justify-self: flex-end;
}

.single_nav .full_logo {
  width: 30%;
  position: relative;
  z-index: 5;
}

.single_nav ul {
  display: flex;
  flex-grow: 2;
  justify-content: space-evenly;
}

.single_main {
  background-color: white;
  padding-top: 2rem;
}

.single_main p:first-child::first-letter {
  font-size: 2rem;
  font-family: 'Merienda', cursive;
}

.single_main p {
  padding-bottom: 1rem;
  padding-left: 5vw;
  padding-right: 5vw;
  line-height: 1.5;
}

.single_main ul {
  list-style: initial;
  padding-left: 2rem;
}

.single_main ul li {
  font-family: 'Raleway', sans-serif;
  padding: 0 .5rem;
  padding-bottom: 1rem;
}

@media only screen and (min-width: 768px) {
  header .background_image {
    height: auto;
    width: 100%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .single_nav .full_logo {
    width: 20%;
  }
}

@media only screen and (min-width: 1200px) {
  .single_nav .full_logo {
    width: 10%;
  }

  .single_main p {
    padding-left: 0;
    padding-right: 0;
  }

  .single_main {
    padding: 2rem 20rem 2rem 20rem;
  }
}

/* === FOOTER === */

footer {
  background-color: #1F1F1F;
  color: white;
  font-family: 'Montserrat', sans-serif;
  padding: 1rem;
}

footer .owner_info {
  display: flex;
  flex-direction: column;
  text-align: center;
}

footer ul.footer_menu {
  display: flex;
  justify-content: space-evenly;
  margin-top: 1rem;
}

footer ul.footer_menu li {
  border-right: 1px solid #16CEAD;
  width: 100%;
  text-align: center;
}

footer ul.footer_menu li:last-child {
  border: none;
}

footer ul.footer_menu li a {
  color: rgba(255, 255, 255, 0.7);
}

footer ul.footer_menu li a:hover {
  color: rgba(255, 255, 255, 1);
}

@media only screen and (min-width: 768px) {
  footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 1rem;
  }

  footer ul.footer_menu {
    margin: 0;
    width: 50%;
  }
}

@media only screen and (min-width: 1200px) {
  footer {
    padding: 1.5rem 4rem;
  }

}

/* === START HERE === */

header.start_here {
  position: relative;
  width: 100vw;
  z-index: 5;
}

.start_here .single_nav {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  width: 90%;
  margin: auto;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.start_here .single_nav ul {
  position: relative;
  z-index: 5;
}

.start_here_main {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.start_here_main img {
  width: 90%;
}

.start_here_main p {
  display: flex;
  text-align: justify;
  align-items: center;
  padding: 1rem;
  width: 100%;
}

.start_here_main p span {
  color: #16CEAD;
  margin-right: .5rem;
}

.start_here_main p span:hover {
  cursor: initial;
}

.start_here_main p a {
  display: contents;
  color: #16CEAD;
  text-decoration: underline;
}

.start_here_main ul {
  list-style: inside;
  padding-left: 1rem;
  font-family: 'Raleway', sans-serif;
  line-height: 2;
}


.start_here_main ul li {
  margin-bottom: 1rem;
}

.start_here_main ul li a {
  display: inline;
  color: black;
  text-decoration: underline;
}

@media only screen and (min-width: 900px) {
  .start_here_main {
    width: 80%;
    margin: auto;
  }
}

@media only screen and (min-width: 1200px) {
  .start_here_main {
    width: 60%;
    margin: auto;
    margin-bottom: 2rem;
  }
}


/* === Fadein === */
.fadein_fast {
  -webkit-animation: fadeinout 1s linear forwards;
  animation: fadeinout 1s linear forwards;
}

.fadein_medium {
  -webkit-animation: fadeinout 2s linear forwards;
  animation: fadeinout 2s linear forwards;
}

.fadein_slow {
  -webkit-animation: fadeinout 3s linear forwards;
  animation: fadeinout 3s linear forwards;
}

@-webkit-keyframes fadeinout {

  0% {
    opacity: 0.2;

  }

  100% {
    opacity: 1;

  }
}

@keyframes fadeinout {

  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}